RNAINVERSE(l)

NAME
RNAINVERSE - find RNA sequences with given secondary structure

SYNOPSIS
RNAinverse [-F[mp]] [-R repeats]] [-v] [-a alphabet] [-f final] [-T temp] [-d[0|1|2|3] [-4] [-noGU] [-noCloseGU] [-P paramfile] [-e 1|2] [-nsp pairs]

DESCRIPTION
RNAinverse searches for sequences folding into a predefined structure, thereby inverting the folding algorithm. Target structures (in bracket notation) and starting sequences for the search are read alternately from stdin. Characters in the start sequence other than "AUGC" (or the alphabet specified with -a) will be treated as wild cards and replaced by a random character. Any lower case characters in the start sequence will be kept fixed during the search. If necessary, the sequence will be elongated to the length of the structure. Thus a string of "N"s as well as a blank line specify a random start sequence.
For each search the best sequence found and its Hamming distance to the start sequence are printed to stdout. If the the search was unsuccessful, a structure distance to the target is appended. The -Fp and -R options can modify the output format, see below.
The program will continue to read new structures and sequences until a line consisting of the single character "@" or an end of file condition is encountered.

OPTIONS

-F[mp]
    Use minimum energy (-Fm), partition function folding (-Fp) or both (-Fmp). In partition function mode, the probability of the target structure exp(-E(S)/kT)/Q is maximized. This probability is written in brackets after the found sequence and Hamming distance. In most cases you'll want to use the -f option in conjunction with -Fp, see below. The default is -Fm.

-f final
    In combination with -Fp stop search when sequence is found with E(s)-F is smaller than final, where F=-kT*ln(Q).

-R repeats
    Search repeatedly for the same structure. If repeats is negative search until -repeats exact solutions are found, no output is done for unsuccessful searches. Be aware, that the program will not terminate if the target structure can not be found.

-v  in conjunction with -R and a negative repeats, print the last subsequence and substructure for each unsuccessful search.

-a alphabet
    Find sequences using only bases from alphabet.

The -T, -d, -4, -noGU, -noCloseGU, -e, -P, -nsp, options work as in RNAfold

EXAMPLE
To search 5 times for sequences forming a simple hairpin structure interrupted by one GA mismatch call
RNAinverse -R 5
and enter the lines
(((.(((....))).)))
NNNgNNNNNNNNNNaNNN

REFERENCES
The calculation of minimum free energy structures is based on dynamic programming algorithm originally developed by M. Zuker and P. Stiegler. The partition function algorithm is based on work by J.S. McCaskill.
If this Program proves useful for your work please cite:

I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994) Fast Folding and Comparison of RNA Secondary Structures. Monatshefte f. Chemie 125: 167-188
Other useful references are:
M. Zuker, P. Stiegler (1981) Optimal computer folding of large RNA sequences using thermodynamic and auxiliary information, Nucl Acid Res 9: 133-148
J.S. McCaskill (1990) The equilibrium partition function and base pair binding probabilities for RNA secondary structures, Biopolymers 29: 1105-1119
D.H. Turner N. Sugimoto and S.M. Freier (1988) RNA structure prediction, Ann Rev Biophys Biophys Chem 17: 167-192
D. Adams (1979) The hitchhiker's guide to the galaxy, Pan Books, London

VERSION
This man page documents version 1.8.5 Vienna RNA Package.

AUTHOR
Ivo L Hofacker.

BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.